#!/bin/bash


#Preupgrade assistant performs system upgradability assessment
#and gathers information required for successful operating system upgrade.
#Copyright (C) 2013 Red Hat Inc.
#Ondrej Vasik <ovasik@redhat.com>
#
#This program is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program.  If not, see <http://www.gnu.org/licenses/>.
. /usr/share/preupgrade/common.sh
check_rpm_to "" ""
COMPONENT="distribution"
#END GENERATED SECTION

COMPONENT="distribution"
[ ! -f "$VALUE_RPM_QA" ] && exit $RESULT_NOT_APPLICABLE

#check for CentOS 6 keys and filter them out.
#keys from http://mirror.centos.org/centos/:
#CentOS 6 Key, Security Key, Testing Key, Debuginfo Key,
#CentOS 7 Key, Testing Key
grep -v "0946fca2c105b9de" "$VALUE_RPM_QA" | \
grep -v "e9d240050eff2026" | \
grep -v "0b132c3ffe837f6f" | \
grep -v "119c1a87ef1d6db8" | \
grep -v "3b75cf79d0ff3d16" | \
grep -v "24c6a8a7f4a80eb5" | \
grep -v "c78893ac8fae34bd" >"$VALUE_TMP_PREUPGRADE/kickstart/noncentospkgs" || \
(log_none_risk "All packages are CentOS signed, no 3rd party keys detected" && exit $RESULT_PASS)
echo " * noncentospkgs - this file contains all CentOS 6 packages not signed by CentOS keys - you will have to handle them yourself." >>"$VALUE_TMP_PREUPGRADE/kickstart/README"

#We detected some non-centos package
log_high_risk "We detected some non-CentOS signed packages, you can find the list in [link:./kickstart/noncentospkgs]. You need to handle them yourself!"
exit $RESULT_FAIL
